import type { IGraphic, IPlugin, IStage } from '@visactor/vtable/es/vrender';
import { HtmlAttributePlugin } from '@visactor/vtable/es/vrender';
export declare class VTableVueAttributePlugin extends HtmlAttributePlugin implements IPlugin {
    name: string;
    htmlMap: Record<string, {
        wrapContainer: HTMLElement;
        nativeContainer: HTMLElement;
        container: string | HTMLElement | null;
        renderId: number;
        graphic: IGraphic;
        isInViewport: boolean;
        lastPosition?: {
            x: number;
            y: number;
        } | null;
        lastStyle?: Record<string, any>;
        lastAccessed?: number;
    }>;
    private renderQueue;
    private isRendering;
    private MAX_CACHE_COUNT;
    private accessQueue;
    private VIEWPORT_BUFFER;
    private BUFFER_ZONE;
    private styleUpdateQueue;
    private styleUpdateRequested;
    private eventHandlers;
    currentContext?: any;
    constructor(currentContext?: any);
    renderGraphicHTML(graphic: IGraphic): void;
    private scheduleRender;
    doRenderGraphic(graphic: IGraphic): void;
    private getGraphicOptions;
    private checkToPassAppContext;
    private getCustomConfig;
    private checkNeedRender;
    private checkInViewport;
    private checkInBuffer;
    private checkInViewportByZone;
    private updateAccessQueue;
    private checkAndClearCache;
    private classifyNodes;
    private checkDom;
    removeAllDom(g: IGraphic): void;
    removeElement(id: string, clear?: boolean): void;
    getWrapContainer(stage: IStage, userContainer?: string | HTMLElement | null, domParams?: any): {
        reuse: boolean;
        wrapContainer: HTMLElement;
        nativeContainer: HTMLElement;
    } | {
        wrapContainer: HTMLElement;
        nativeContainer: HTMLElement;
        reuse?: undefined;
    };
    updateStyleOfWrapContainer(graphic: IGraphic, stage: IStage, wrapContainer: HTMLElement, nativeContainer: HTMLElement): void;
    private checkToAddEventListener;
    private requestStyleUpdate;
    private convertCellStyle;
    private calculatePosition;
    private calculateOffset;
    private applyUserStyles;
}
